
Core - Bug # 34092

Task # 31461 (Resolved): The Big Cleanup 4.7
Task # 33743 (Resolved): Strictly only allow UTF-8

Status: Resolved Priority: Must have
Author: Steffen Ritter Category: Code Cleanup
Created: 2012-02-19 Assigned To: Steffen Ritter
Updated: 2012-02-27 Due date: 2012-02-19
TYPO3 Version: 4.7
PHP Version: 5.3
Complexity: easy
Is Regression:
Sprint Focus:
Subject: Remove all references to forceCharset setting
Description

The forceCharset is deprecated since 4.5 and is to be removed in 4.7
Remove all references to it. If behaviour is in question, change as it would have been set to 'utf-8' as it is like this since 4.5.

Related issues:
related to LDAP / SSO Authentication - Bug # 60080: Charset config uses depre... Closed 2014-07-03
related to Core - Bug # 49336: Remove forceCharset handling Resolved 2013-06-21
related to Core - Bug # 34369: Fix setDBinit regression Resolved 2012-02-27 2012-02-27
related to Inside TYPO3 - Task # 35252: For TYPO3 4.7: Update reference to $T... New 2012-03-26
related to TCA Reference - Task # 35251: For TYPO3 4.7: Update reference to $... Closed 2012-03-26
related to Core - Bug # 35901: Failing charset related test in page renderer Resolved 2012-04-12
related to TypoScript Reference (TSref) - Task # 34297: Update references to ... Closed 2012-02-26
related to Localization Guide - Task # 35250: For TYPO3 4.7: Update reference... New 2012-03-26
duplicates Core - Bug # 33793: Deprecated config options in install tool Closed 2012-02-08
precedes Core - Task # 34094: Change fallbacks to iso-8859-1 to utf-8 Resolved 2012-02-20 2012-02-20

Associated revisions
Revision 8f5456d8 - 2012-02-26 20:33 - Steffen Ritter

[CLEANUP][CONF!!!] Remove forceCharset option and references

In TYPO3 4.5 the forceCharset and setDBinit options have been
deprecated. "forceCharset" was set to be removed in 4.7.

This ChangeSet removes the config option from the install tool
and all references within core to this variable.

If behaviour had been in question, the code has been adapted
to behave like the variable had been set to utf-8 and therefore
like the behaviour had been since 4.5.

Change-Id: Ic8fa9385b59eb127271c4f1a0902bbe8f3ee5499
Resolves: #34092
Releases: 4.7
Reviewed-on: http://review.typo3.org/9099
Reviewed-by: Michael Stucki
Tested-by: Michael Stucki
Revision baddedde - 2012-04-12 14:53 - Christian Kuhn

[BUGFIX] Failing charset related test in page renderer

With issue #34092 the charset conversion code was removed from
the core. Test isInlineLanguageLabelDeliveredWithNonUTF8 fails
now and can be removed as obsolete.

Change-Id: I12e03ce182cda6d6f4b4a6da650f0c17327188a5
Resolves: #35901
Releases: 6.0, 4.7
Reviewed-on: http://review.typo3.org/10336
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision caec8202 - 2012-04-12 14:56 - Christian Kuhn

[BUGFIX] Failing charset related test in page renderer

With issue #34092 the charset conversion code was removed from
the core. Test isInlineLanguageLabelDeliveredWithNonUTF8 fails
now and can be removed as obsolete.

Change-Id: If85e3daa2211a6e1751d06423c624fd957f60c87
Resolves: #35901
Releases: 6.0, 4.7
Reviewed-on: http://review.typo3.org/10337
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 2332335a - 2013-06-23 11:42 - Christian Kuhn

[TASK] Remove last bits of forceCharset handling

Core version 4.5 introduced UTF8 only for charset conversion, and
accepted a fallback under special circumstances. The fallback was
removed with 4.7.
This setting is now finally fully removed from the configuration
and not taken into account anymore.

Change-Id: Ic347c3decb985ec63eb499d5d75827fc7f1f7a8a
Resolves: #49336
Related: #49299
Related: #34092
Releases: 6.2
Reviewed-on: https://review.typo3.org/21584
Reviewed-by: Markus Klein
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2012-02-19 12:08 - Steffen Ritter

The exchange of all "iso-8859-1" fallbacks to "utf-8" will be handled in a separate ticket

#2 - 2012-02-19 12:10 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9099

#3 - 2012-02-20 09:46 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9099

#4 - 2012-02-20 09:54 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9099

#5 - 2012-02-21 07:30 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9099

#6 - 2012-02-21 09:15 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9099

#7 - 2012-02-23 08:46 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9099

#8 - 2012-02-26 17:06 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9099
#9 - 2012-02-27 02:31 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8f5456d896d520fcbecf8062dfa6a1178a98db52.
